Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ClassDomain

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SchemaObject
                  oracle.ifs.beans.TieSchemaObject
                      oracle.ifs.beans.ClassDomain

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

Direct Known Subclasses:
  TieClassDomain

    public class ClassDomain

extends TieSchemaObject

Used to validate that an attribute value is an instance of specified ClassObjects. The domain can be a single class or multiple classes. In addition, there is an indication whether to include its subclasses or not.

A ClassDomain can only be applied to an object-type Attribute.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` Class name for this class.
`static int` | `CLASSDOMAINTYPE_ENUMERATED` The ClassDomain consists of the ClassObjects specified with `setClasses`.
`static int` | `CLASSDOMAINTYPE_ENUMERATED_AND_SUBCLASSES` The ClassDomain consists of the ClassObjects specified with `setClasses`, and their subclasses.
`static java.lang.String` | `CLASSES_ATTRIBUTE` The ClassObjects in this ClassDomain.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` A textual description of this ClassDomain.
`static java.lang.String` | `DOMAINTYPE_ATTRIBUTE` An indicator whether the specific class or the class and its subclasses should be applied as the domain.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` A system-set attribute used to ensure each ClassDomain has an unique name.

Fields inherited from class oracle.ifs.beans.SchemaObject
`ACTIVE_ATTRIBUTE, NAME_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `ClassDomain(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a ClassDomain.

Method Summary
`static java.lang.String` | `classDomainTypeResourceBundleKey(int domainType)` Gets resource bundle key for the specified ClassDomain type.
`protected static ClassDomain` | `constructClassDomain(LibrarySession session, S_LibraryObjectData data)` Internal use only: Constructs a ClassDomain for the specified data.
`static ClassDomain[]` | `findAll(LibrarySession session)` Returns the set of defined ClassDomains.
`static ClassDomain` | `findByName(LibrarySession session, java.lang.String name)` Returns the a ClassDomain matching the specified name.
`ClassObject[]` | `getClasses()` Gets the classes in this ClassDomain.
`ClassObject` | `getClasses(int index)` Gets the specified class in this ClassDomain.
`java.lang.String` | `getDescription()` Gets the description of this ClassDomain.
`int` | `getDomainType()` Gets the domain type of this ClassDomain.
`java.lang.String` | `getDomainTypeLabel()` Gets the localized String label for the DomainType set for this instance.
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find ClassDomain instances by name.
`boolean` | `inClassDomain(ClassObject co)` Determines whether the specified ClassObject is within this ClassDomain.
`void` | `setClasses(ClassObject[] cos)` Sets the classes in this ClassDomain.
`void` | `setDescription(java.lang.String description)` Sets the description of this ClassDomain.
`void` | `setDomainType(int domainType)` Sets the domain type of this ClassDomain.
`static java.lang.String` | `toDomainTypeLabel(int domainType)` Converts the specified DomainType constant to a localized label.
`static java.lang.String` | `toDomainTypeLabel(int domainType, LibrarySession session)` Converts the specified DomainType constant to a localized label, using the Localizer from the specified LibrarySession.
`static java.lang.String` | `toDomainTypeLabel(int domainType, Localizer localizer)` Converts the specified DomainType constant to a localized label, using the specified Localizer.

Methods inherited from class oracle.ifs.beans.SchemaObject
`addCategory, constructSchemaObject, constructSchemaObjectVector, free, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, hasNameAttribute, isActive, postCreate, postUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preCreate, preFree, prePostAuditEvent, preUpdate, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `ClassDomain`
  Class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  Description copied from class: `ClassDomain`
  A textual description of this ClassDomain.

  See Also:
    Constant Field Values
  (Published)

### DOMAINTYPE_ATTRIBUTE

    public static final java.lang.String DOMAINTYPE_ATTRIBUTE

  Description copied from class: `ClassDomain`
  An indicator whether the specific class or the class and its subclasses should be applied as the domain.

  See Also:
    Constant Field Values
  (Published)

### CLASSES_ATTRIBUTE

    public static final java.lang.String CLASSES_ATTRIBUTE

  Description copied from class: `ClassDomain`
  The ClassObjects in this ClassDomain.

  See Also:
    Constant Field Values
  (Published)

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  Description copied from class: `ClassDomain`
  A system-set attribute used to ensure each ClassDomain has an unique name.

  See Also:
    Constant Field Values
  (Published)

### CLASSDOMAINTYPE_ENUMERATED

    public static final int CLASSDOMAINTYPE_ENUMERATED

  Description copied from class: `ClassDomain`
  The ClassDomain consists of the ClassObjects specified with `setClasses`.

  See Also:
    Constant Field Values
  (Published)

### CLASSDOMAINTYPE_ENUMERATED_AND_SUBCLASSES

    public static final int CLASSDOMAINTYPE_ENUMERATED_AND_SUBCLASSES

  Description copied from class: `ClassDomain`
  The ClassDomain consists of the ClassObjects specified with `setClasses`, and their subclasses.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### ClassDomain

    protected ClassDomain(LibrarySession session,
                          java.lang.Long id,
                          java.lang.Long classId,
                          S_LibraryObjectData data)
                   throws IfsException

  Constructs a ClassDomain.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the data
  Throws:
    `IfsException` - if an error occurs
  (Unpublished)

Method Detail

### setDescription

    public final void setDescription(java.lang.String description)
                              throws IfsException

  Description copied from class: `ClassDomain`
  Sets the description of this ClassDomain.

  Parameters:
    `description` - the description
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDescription

    public final java.lang.String getDescription()
                                          throws IfsException

  Description copied from class: `ClassDomain`
  Gets the description of this ClassDomain.

  Returns:
    the description
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDomainType

    public final void setDomainType(int domainType)
                             throws IfsException

  Description copied from class: `ClassDomain`
  Sets the domain type of this ClassDomain.

  Parameters:
    `domainType` - the domain type; must be either `CLASSDOMAINTYPE_ENUMERATED` or `CLASSDOMAINTYPE_ENUMERATED_AND_SUBCLASSES`
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDomainType

    public final int getDomainType()
                            throws IfsException

  Description copied from class: `ClassDomain`
  Gets the domain type of this ClassDomain.

  Returns:
    the domain type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setClasses

    public final void setClasses(ClassObject[] cos)
                          throws IfsException

  Description copied from class: `ClassDomain`
  Sets the classes in this ClassDomain.

  Parameters:
    `cos` - the classes
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getClasses

    public final ClassObject[] getClasses()
                                   throws IfsException

  Description copied from class: `ClassDomain`
  Gets the classes in this ClassDomain.

  Returns:
    the classes
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getClasses

    public final ClassObject getClasses(int index)
                                 throws IfsException

  Description copied from class: `ClassDomain`
  Gets the specified class in this ClassDomain.

  Parameters:
    `index` - the zero-based index
  Returns:
    the class
  Throws:
    `IfsException` - if the operation fails
  (Published)

### inClassDomain

    public boolean inClassDomain(ClassObject co)
                          throws IfsException

  Description copied from class: `ClassDomain`
  Determines whether the specified ClassObject is within this ClassDomain.

  Parameters:
    `co` - the ClassObject
  Returns:
    whether the class lies in the domain
  Throws:
    `IfsException` - if the operation fails
  (Published)

### classDomainTypeResourceBundleKey

    public static final java.lang.String classDomainTypeResourceBundleKey(int domainType)
                                                                   throws IfsException

  Description copied from class: `ClassDomain`
  Gets resource bundle key for the specified ClassDomain type.

  Call `LibrarySession.getResourceString` with the returned value to get a localized name for the specified ClassDomain type.

  Parameters:
    `domainType` - the ClassDomain type
  Returns:
    the resource bundle key
  Throws:
    `IfsException` - (IFS-31200) if domainType is invalid
  (Published)

### getDomainTypeLabel

    public java.lang.String getDomainTypeLabel()
                                        throws IfsException

  Description copied from class: `ClassDomain`
  Gets the localized String label for the DomainType set for this instance.

  Returns:
    the label corresponding to the DomainType
  Throws:
    `IfsException` - if operation fails.
  (Published)

### toDomainTypeLabel

    public static java.lang.String toDomainTypeLabel(int domainType)
                                              throws IfsException

  Description copied from class: `ClassDomain`
  Converts the specified DomainType constant to a localized label. The default Localizer is used.

  Parameters:
    `domainType` - the DomainType constant.
  Returns:
    the label corresponding to the specified DomainType constant.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### toDomainTypeLabel

    public static java.lang.String toDomainTypeLabel(int domainType,
                                                     LibrarySession session)
                                              throws IfsException

  Description copied from class: `ClassDomain`
  Converts the specified DomainType constant to a localized label, using the Localizer from the specified LibrarySession.

  Parameters:
    `domainType` - the DomainType constant
    `session` - the LibrarySession, whose current Localizer will be used for the conversion
  Returns:
    the label corresponding to the specified DomainType constant
  Throws:
    `IfsException` - if operation fails.
  (Published)

### toDomainTypeLabel

    public static java.lang.String toDomainTypeLabel(int domainType,
                                                     Localizer localizer)
                                              throws IfsException

  Description copied from class: `ClassDomain`
  Converts the specified DomainType constant to a localized label, using the specified Localizer. If a null is specified for the Localizer, a temporary Localizer (constructed based on the default Locale) is used for the conversion.

  Parameters:
    `domainType` - the DomainType constant.
    `localizer` - the Localizer that performs the conversion
  Returns:
    the label corresponding to the specified DomainType constant.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `ClassDomain`
  Returns the LibraryObjectLookupCache used by find ClassDomain instances by name.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static ClassDomain[] findAll(LibrarySession session)
                                 throws IfsException

  Description copied from class: `ClassDomain`
  Returns the set of defined ClassDomains.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of ClassDomains; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static ClassDomain findByName(LibrarySession session,
                                         java.lang.String name)
                                  throws IfsException

  Description copied from class: `ClassDomain`
  Returns the a ClassDomain matching the specified name.

  Parameters:
    `session` - the session context
    `name` - the ClassDomain name
  Returns:
    the ClassDomain matching the specified name; or null if there exists no matching ClassDomain
  Throws:
    `IfsException` - if the operation fails.

### constructClassDomain

    protected static ClassDomain constructClassDomain(LibrarySession session,
                                                      S_LibraryObjectData data)
                                               throws IfsException

  Description copied from class: `ClassDomain`
  Internal use only: Constructs a ClassDomain for the specified data.

  For internal use only. Do not use this method.

  Parameters:
    `session` - the session
    `data` - the data
  Returns:
    the ClassDomain
  Throws:
    `IfsException` - if an error occurs
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD